org.eclnt.workplace

## Class WorkplaceFavoritesSquare

- java.lang.Object
- - org.eclnt.jsfserver.managedbean.DefaultDispatchedBean
  - - org.eclnt.workplace.WorkplaceFavoritesSquare

- All Implemented Interfaces:
    java.io.Serializable

      public class WorkplaceFavoritesSquare
      extends DefaultDispatchedBean
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `WorkplaceFavoritesSquare.BigFavoriteInfo`
    `class` | `WorkplaceFavoritesSquare.ImageSelectionListener`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkplaceFavoritesSquare(IDispatcher dispatcher)`
    `WorkplaceFavoritesSquare(IDispatcher dispatcher, java.lang.String emptyImage, java.lang.String emptyText)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFavoritesListener(IFavoritesListener listener)`
    `java.util.List<WorkplaceFavoritesSquare.BigFavoriteInfo>` | `getBigFavorites()`
    `java.lang.String` | `getDefaultImage()`
    `java.util.List<WorkpageStartInfo>` | `getFavoriteInfos()` Returns back the current favorite infos that are kept.
    `void` | `removeFavoritesListener(IFavoritesListener listener)`
    `void` | `setDefaultImage(java.lang.String value)` When dropping a component into the square then a default image will be rendered.
    `void` | `setIconDirectoryPath(java.lang.String path)` Set the path in which the image configruration popup scans for images.
    `void` | `updateBigFavoriteInfo(int index, WorkpageStartInfo fi)`

    - ### Methods inherited from class org.eclnt.jsfserver.managedbean.DefaultDispatchedBean

      `ccDestroy, getOwningDispatcher, setDispatcher`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkplaceFavoritesSquare

          public WorkplaceFavoritesSquare(IDispatcher dispatcher)

    - #### WorkplaceFavoritesSquare

          public WorkplaceFavoritesSquare(IDispatcher dispatcher,
                                          java.lang.String emptyImage,
                                          java.lang.String emptyText)

      Parameters:
        `emptyImage` - Image that is output by default for empty facorite positions.
        `emptyText` - Text that is output by default for empty facorite positions.

  - ### Method Detail

    - #### addFavoritesListener

          public void addFavoritesListener(IFavoritesListener listener)

    - #### removeFavoritesListener

          public void removeFavoritesListener(IFavoritesListener listener)

    - #### setDefaultImage

          public void setDefaultImage(java.lang.String value)

      When dropping a component into the square then a default image will be rendered. The user can update the image by right mouse clik.

    - #### getDefaultImage

          public java.lang.String getDefaultImage()

    - #### updateBigFavoriteInfo

          public void updateBigFavoriteInfo(int index,
                                            WorkpageStartInfo fi)

    - #### getBigFavorites

          public java.util.List<WorkplaceFavoritesSquare.BigFavoriteInfo> getBigFavorites()

    - #### getFavoriteInfos

          public java.util.List<WorkpageStartInfo> getFavoriteInfos()

      Returns back the current favorite infos that are kept.

    - #### setIconDirectoryPath

          public void setIconDirectoryPath(java.lang.String path)

      Set the path in which the image configruration popup scans for images.

Copyright © CaptainCasa Gmbh. All Rights Reserved.